/*
 PFRoleDescriptions.strings
 PFAssistive Framework 3.0.0
 Copyright 2003-2010 Bill Cheeseman. Used by permission.
 All rights reserved.
*/

/* This file is based on Apple's RoleDescriptions.strings resource in the HIServices subframework of the ApplicationServices framework. These key-value pairs are used to provide localizable human-readable descriptions for element roles implemented in the accessibility API. This file should be used only for localizable human-readable descriptions in a client application's GUI; it should not be used to provide AppleScript terminology.  See AXRoleConstants.h in the HIServices headers and NSAccessibility.h in the AppKit headers to see which keys are actually implemented.*/

/* Localized role descriptions are normally obtained by calling the accessibility API's AXUIElementCopyAttributeValue function with the kAXRoleDescriptionAttribute constant, which gets them from Apple's RoleDescriptions.strings resource. However, in Mac OS X 10.2.x Jaguar, that resource contains obsolete keys and therefore returns a key instead of a value in some cases. The PFAssistive framework therefore uses this PFRoleDescriptions.strings file to provide correct descriptions in Jaguar. With every new release of Mac OS X, this file will be checked for compatibility with any changes to Apple's RoleDescriptions.strings file. */

/* Starting with Mac OS X 10.3 Panther, the PFAssistive framework uses Apple's RoleDescriptions.strings resource by calling AXUIElementCopyAttributeDescription. We nevertheless continue to add new role descriptions here to document changes in Apple's ActionDescriptions.strings resource and for potential future use.) */

/* This file is localizable. Localizers should copy the localizations in Apple's localized RoleDescriptions.strings files (if available and correct) in order to maximize consistency. There are some deliberate departures from Apple's terminology here, in the interest of readability (for example, we always use "UI element" instead of "element"). This file includes at the end items in Apple's files marked as possibly obsolete. */

/* This file omits the "role:subrole combinations" introduced in Mac OS X 10.4 Tiger.

/* accessibility role description */
"AXApplication" = "application";
"AXBrowser" = "browser";
"AXBusyIndicator" = "busy indicator";
"AXButton" = "button";
"AXCell" = "cell"; /* added 3.0b8 */
"AXCheckBox" = "check box";
"AXColorWell" = "color well";
"AXColumn" = "column";
"AXComboBox" = "combo box";
"AXDateField" = "date field"; /* added 1.2b2 */
"AXDockItem" = "dock item"; /* added 1.4b5 */ /* not in RoleDescription.strings in Tiger */
"AXDrawer" = "drawer";
"AXGrid" = "grid"; /* added 3.0 */
"AXGroup" = "group";
"AXGrowArea" = "grow area";
"AXHandle" = "handle"; /* added 3.0b8 */
"AXHelpTag" = "help tag"; /* added 1.4b1 */
"AXImage" = "image";
"AXIncrementor" = "adjuster"; /* changed from "incrementor" in 3.0 */
"AXLayoutArea" = "layout area"; /* added 3.0b8 */
"AXLayoutItem" = "layout item"; /* added 3.0b8 */
"AXLevelIndicator" = "level indicator"; /* added 3.0b8 */
"AXLink" = "hyperlink"; /* added 1.4b1 */
"AXList" = "list";
"AXMatte" = "matte"; /* added 1.4b1 */ /* not in RoleDescription.strings in Tiger */
"AXMatteRole" = "matte"; /* added 2.0 */
"AXMenu" = "menu";
"AXMenuBar" = "menu bar";
"AXMenuBarItem" = "menu bar item"; /* added 1.2b4 */
"AXMenuButton" = "menu button";
"AXMenuItem" = "menu item";
"AXOutline" = "outline";
"AXOutlineCell" = "outline cell"; /* added 1.2b2 */
"AXOutlineHeaderButton" = "outline header button"; /* added 1.2b2 */
"AXPopUpButton" = "pop up button";
"AXProgressIndicator" = "progress indicator";
"AXPullDownButton" = "pull down button"; /* added 1.2b2 */
"AXRadioButton" = "radio button";
"AXRadioGroup" = "radio group";
"AXRelevanceIndicator" = "relevance indicator";
"AXRow" = "row";
"AXRuler" = "ruler"; /* added 1.4b1 */
"AXRulerMarker" = "ruler marker"; /* added 1.4b1 */
"AXScrollArea" = "scroll area";
"AXScrollBar" = "scroll bar";
"AXSecureTextField" = "secure text field"; /* added 1.2b2 */
"AXSheet" = "sheet";
"AXSlider" = "slider";
"AXSortButton" = "sort button"; /* added 1.4b1 */ /* not in RoleDescription.strings in Tiger */
"AXSplitter" = "splitter";
"AXSplitGroup" = "split group"; /* changed "splitter" to "split" 1.2b2 */
"AXStaticText" = "text"; /* removed "static " 1.2b2 */
"AXSystemWide" = "system wide element"; /* removed "UI " 1.2b10 */
"AXTabGroup" = "tab group";
"AXTable" = "table";
"AXTextArea" = "text entry area"; /* added "entry " 1.2b2 */
"AXTextField" = "text field";
"AXTimeField" = "time field"; /* added 1.2b2 */
"AXToolbar" = "toolbar"; /* removed space 1.2b2 */
"AXToolbarDefaultItems" = "toolbar default items"; /* added 1.2b2 */
"AXUIElement" = "UI element"; /* not in RoleDescription.strings in Tiger */
"AXUnknown" = "unknown"; /* changed from "UI element" 1.3b4 */
"AXValueIndicator" = "value indicator";
"AXWindow" = "window";

/* Marked by Apple as possibly obsolete: */
"AXCell" = "cell";
"AXPushButton" = "push button";
"AXMatrix" = "matrix";
"AXTabView" = "tab view";
"AXTextView" = "text view";
"AXScrollView" = "scroll view";
"AXTableHeaderView" = "table header view";
"AXTableView" = "table view";
"AXView" = "view";
"AXTablessTabView" = "tabless tab view";
"AXControl" = "control";
"AXForm" = "form";
"AXRadioCluster" = "radio cluster";
"AXScroller" = "scroll bar";
"AXIndicator" = "indicator";
"AXText" = "text";
"AXUnknownButton" = "unknown button";
"AXTitledTextField" = "titled text field";
"AXMenuTitle" = "menu title";
"AXTableColumn" = "table column";
"AXToolbarIcon" = "toolbar icon";
"AXToolbarOverflowPullDownButton" = "toolbar overflow pull down menu";
"AXToolbarItemPullDownButton" = "toolbar item pull down menu";
"AXToolbarItemButton" = "toolbar item button";
"AXToolbarItemTitle" = "toolbar item title";
"AXToolbarItem" = "toolbar item";
"AXBox" = "box";
"AXTab" = "tab";
"AXWindowTitle" = "window title";
"AXCloseBox" = "close box";
"AXMinimizeBox" = "minimize box";
"AXZoomBox" = "zoom box";
"AXGrowBox" = "grow box";
"AXToolbarBox" = "toolbar button";
"AXUnknownBox" = "unknown box";
"AXOutlineHeader" = "outline header";
"AXOutlineRow" = "outline row";
"AXStepperRole" = "stepper";
"AXDisclosureTriangle" = "disclosure triangle"; /* added 1.4b5 */ /* moved to obsolete list in RoleDescription.strings in Tiger */
